[regexxer] Make autogen.sh exit properly if a command failed



commit ef3ec769c0d87b2db99bdcec495b56a134ea75e6
Author: Daniel Elstner <daniel kitta gmail com>
Date:   Tue Aug 11 23:51:31 2009 +0200

    Make autogen.sh exit properly if a command failed
    
    * autogen.sh: Apparently, sub-shells do not inherit the state of the
    -e option, and even ignore explicit uses of 'set -e' within the scope
    of the sub-shell.  In order to work around this stupid behavior, test
    the exit status explicitly for commands executed in a sub-shell.

 autogen.sh |    7 +++----
 1 files changed, 3 insertions(+), 4 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index f70bc0e..762b95f 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -2,8 +2,7 @@
 test -n "$srcdir" || srcdir=`dirname "$0"`
 test -n "$srcdir" || srcdir=.
 (
-  cd "$srcdir"
-  export AUTOPOINT='intltoolize --automake --copy'
-  autoreconf --force --install
-)
+  cd "$srcdir" &&
+  AUTOPOINT='intltoolize --automake --copy' autoreconf --force --install
+) || exit
 test -n "$NOCONFIGURE" || "$srcdir/configure" "$@"



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]